# Region Class Reference

`#include <region.h>`

Inheritance diagram for Region:

List of all members.

## Public Member Functions

| Region ()
void | sync ()
| Updates the polygon data to match the parameters.
virtual bool | set_param (const String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual ValueBase | get_param (const String &param) const
| Get the value of the specified parameter.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.
virtual void | set_time (Context context, Time time) const
| Sets the time for the selected Layer and those under it.
virtual void | set_time (Context context, Time time, Vector pos) const

## Constructor & Destructor Documentation

Region::Region | ( |  | ) |

References synfig::Layer_Polygon::clear(), and f.

## Member Function Documentation

void Region::sync | ( |  | ) |

Updates the polygon data to match the parameters.

Reimplemented from synfig::Layer_Polygon.

References synfig::Layer_Polygon::add_polygon(), synfig::Layer_Polygon::clear(), synfig::convert_bline_to_segment_list(), synfig::ValueBase::get_contained_type(), synfig::ValueBase::get_list(), synfig::ValueBase::get_loop(), SAMPLES, and synfig::warning().

Referenced by set_time().

bool Region::set_param | ( | const String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer_Polygon.

References synfig::Layer::connect_dynamic_param(), synfig::Layer::disconnect_dynamic_param(), synfig::Layer::dynamic_param_list(), synfig::ValueBase::get_type(), and synfig::warning().

ValueBase Region::get_param | ( | const String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer_Polygon.

References EXPORT, EXPORT_NAME, and EXPORT_VERSION.

Layer::Vocab Region::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer_Polygon.

References _.

void Region::set_time | ( | Context | context,
|  | Time | time |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme

See also:
  Handle::set_time()

Reimplemented from synfig::Layer.

References synfig::Context::set_time(), and sync().

void Region::set_time | ( | Context | context,
|  | Time | time,
|  | Vector | pos |
| ) |  |  | const`[virtual]`

References synfig::Context::set_time(), and sync().

The documentation for this class was generated from the following files:

- region.h
- region.cpp